class
	AST_SWITCH_DEFAULT

inherit
	AST_STATEMENT

create
	make_from_antlr,
	make_copy

feature {NONE}

	make_from_antlr (node: ANTLR_AST_NODE; init_parent: AST_NODE)
		require
			node /= Void and then node.type = C_kw_default
		do
			parent := init_parent
			-- no content
		end

feature {ANY} -- AST_NODE

	accept (v: AST_VISITOR)
		local
			visit_children: BOOLEAN
		do
			v.pre_visit (Current)
			visit_children := v.visit_switch_default (Current)
			if visit_children then
				-- no children
			end
			v.end_visit_switch_default (Current)
			v.post_visit (Current)
		end

	ast_twin: like Current
		do
			create Result.make_copy (Current)
		end

	make_copy (other: like Current)
		do
			-- no content
		end

end
